Subject: [multipathtcp] Paper : Are TCP Extensions Middlebox-proof?

From: Benjamin Hesmans <[email-masked]>
Date: Wed, 06 Nov 2013 16:52:49 +0100

Hello,

I'd like to present to you our recent paper :
"Are TCP Extensions Middlebox-proof?"
Benjamin Hesmans, Fabien Duchene, Chrisoph Paasch, Gregory Detal and 
Olivier Bonaventure. ACM workshop CoNeXT 2013.

It is available:
http://inl.info.ucl.ac.be/publications/are-tcp-extensions-middlebox-proof

The paper presents a tool to observe the behavior of TCP extension that 
pass trough middleboxes and a study of MPTCP over real networks.

In the first part we took a look at standard TCP options but in the 
second part, we took a closer look at the MPTCP option and highlight 
some unexpected interactions between MPTCP and some middleboxes.

All feedback and comments are welcome !

Benjamin